# qca_cert.h File Reference

Header file for PGP key and X.509 certificate related classes. More...

`#include <QMap>`
`#include <QDateTime>`
`#include "qca_core.h"`
`#include "qca_publickey.h"`

Include dependency graph for qca_cert.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | QCA

## Classes

class | QCA::Certificate
| Public Key (X.509) certificate. More...
class | QCA::CertificateAuthority
| A Certificate Authority is used to generate Certificates and Certificate Revocation Lists (CRLs). More...
class | QCA::CertificateChain
| A chain of related Certificates. More...
class | QCA::CertificateCollection
| Bundle of Certificates and CRLs. More...
class | QCA::CertificateInfoOrdered
| Ordered certificate properties type. More...
class | QCA::CertificateInfoPair
| One entry in a certificate information list. More...
class | QCA::CertificateInfoType
| Certificate information type. More...
class | QCA::CertificateOptions
| Certificate options More...
class | QCA::CertificateRequest
| Certificate Request More...
class | QCA::ConstraintType
| Certificate constraint. More...
class | QCA::CRL
| Certificate Revocation List More...
class | QCA::CRLEntry
| Part of a CRL representing a single certificate. More...
class | QCA::KeyBundle
| Certificate chain and private key pair. More...
class | QCA::KeyLoader
| Asynchronous private key loader. More...
class | QCA::PGPKey
| Pretty Good Privacy key. More...

## Typedefs

typedef QMultiMap < CertificateInfoType, QString > | QCA::CertificateInfo
typedef QList< ConstraintType > | QCA::Constraints

## Enumerations

enum | QCA::CertificateInfoTypeKnown { QCA::CommonName, QCA::Email, QCA::EmailLegacy, QCA::Organization, QCA::OrganizationalUnit, QCA::Locality, QCA::IncorporationLocality, QCA::State, QCA::IncorporationState, QCA::Country, QCA::IncorporationCountry, QCA::URI, QCA::DNS, QCA::IPAddress, QCA::XMPP }
enum | QCA::CertificateRequestFormat { QCA::PKCS10, QCA::SPKAC }
enum | QCA::ConstraintTypeKnown { QCA::DigitalSignature, QCA::NonRepudiation, QCA::KeyEncipherment, QCA::DataEncipherment, QCA::KeyAgreement, QCA::KeyCertificateSign, QCA::CRLSign, QCA::EncipherOnly, QCA::DecipherOnly, QCA::ServerAuth, QCA::ClientAuth, QCA::CodeSigning, QCA::EmailProtection, QCA::IPSecEndSystem, QCA::IPSecTunnel, QCA::IPSecUser, QCA::TimeStamping, QCA::OCSPSigning }
enum | QCA::UsageMode { QCA::UsageAny = 0x00, QCA::UsageTLSServer = 0x01, QCA::UsageTLSClient = 0x02, QCA::UsageCodeSigning = 0x04, QCA::UsageEmailProtection = 0x08, QCA::UsageTimeStamping = 0x10, QCA::UsageCRLSigning = 0x20 }
enum | QCA::ValidateFlags { ValidateAll = 0x00, ValidateRevoked = 0x01, ValidateExpired = 0x02, ValidatePolicy = 0x04 }
enum | QCA::Validity { QCA::ValidityGood, QCA::ErrorRejected, QCA::ErrorUntrusted, QCA::ErrorSignatureFailed, QCA::ErrorInvalidCA, QCA::ErrorInvalidPurpose, QCA::ErrorSelfSigned, QCA::ErrorRevoked, QCA::ErrorPathLengthExceeded, QCA::ErrorExpired, QCA::ErrorExpiredCA, QCA::ErrorValidityUnknown = 64 }

## Functions

QCA_EXPORT QStringList | QCA::makeFriendlyNames (const QList< Certificate > &list)
QCA_EXPORT CertificateInfoOrdered | QCA::orderedDNOnly (const CertificateInfoOrdered &in)
QCA_EXPORT QString | QCA::orderedToDNString (const CertificateInfoOrdered &in)

## Detailed Description

Header file for PGP key and X.509 certificate related classes.

Note:
  You should not use this header directly from an application. You should just use `#include <QtCrypto>` instead.